Package updates in the KXStudio repositories

Official support for the KXStudio Linux distribution and applications.
More info at http://kxstudio.linuxaudio.org/

Moderators: falkTX, khz, MattKingUSA

User avatar
falkTX
Establlshed Member
Posts: 6445
Joined: Sat Jan 09, 2010 3:04 pm

Re: Package updates in the KXStudio repositories

Postby falkTX » Mon Apr 16, 2018 5:35 am

Qtractor, v1 synths and Carla use Qt4 for old distros and Qt5 for new ones (anything that uses the KXStudio GCC5 repos).
You can use Help -> About Qt in these applications to know what Qt version they use.

lilith
Establlshed Member
Posts: 104
Joined: Fri May 27, 2016 11:41 pm

Re: Package updates in the KXStudio repositories

Postby lilith » Mon Apr 16, 2018 2:11 pm

falkTX wrote:Qtractor, v1 synths and Carla use Qt4 for old distros and Qt5 for new ones (anything that uses the KXStudio GCC5 repos).
You can use Help -> About Qt in these applications to know what Qt version they use.


Thanks! What about Calf Plugins? Is it possible that under KXStudio 14.04 Calf plugins make less problems with Ardour than with Qtractor? For instance the Calf Analyzer Plugin constantly crashes Qtractor 0.9.0 but not Ardour 5.12).

User avatar
falkTX
Establlshed Member
Posts: 6445
Joined: Sat Jan 09, 2010 3:04 pm

Re: Package updates in the KXStudio repositories

Postby falkTX » Mon Apr 16, 2018 3:22 pm

Calf is gtk2, like ardour.
Qtractor is Qt.
Mixing the 2 is not pretty, issues mixing big toolkits are to be expected.

Plugin authors need to stop using huge toolkits! :twisted:

lilith
Establlshed Member
Posts: 104
Joined: Fri May 27, 2016 11:41 pm

Re: Package updates in the KXStudio repositories

Postby lilith » Mon Apr 16, 2018 3:26 pm

OMG ... that's getting more and more complicated ... I try to get into Ardour then ...


Return to “KXStudio Discussion”

Who is online

Users browsing this forum: Bing [Bot], rotindo and 8 guests